On Mon, 2013-02-18 at 10:57 +0100, Sebastien FLAESCH wrote:

I have several versions of MySQL installed on my Linux, and it appears
that the libmysqlclient versions have changed in the 5.x version line:

/opt3/dbs/mys/4.1.24/lib/libmysqlclient.so.14
/opt3/dbs/mys/5.0.90/lib/libmysqlclient.so.15
/opt3/dbs/mys/5.1.35/lib/libmysqlclient.so.16
/opt3/dbs/mys/5.1.51/lib/libmysqlclient.so.16
/opt3/dbs/mys/5.4.0/lib/libmysqlclient.so.16
/opt3/dbs/mys/5.5.1/lib/libmysqlclient.so.16
/opt3/dbs/mys/5.5.19/lib/libmysqlclient.so.18
/opt3/dbs/mys/5.6.10/lib/libmysqlclient.so.18


Asking for trouble, rebuild what depends on latest, and get rid of all that ancient crud. Its not like it changes with every release, so its only a very minor inconvenience, and if you have separate servers for each functions like SP's do, then it's an even smaller inconvenience per server.